Batch Real-Time Quote
Batch obtain real-time quote data for multiple stocks, covering multiple global major markets including A-shares, US stocks, and Hong Kong stocks. Provide complete market indicators for each stock such as latest price, price change, trading volume, turnover, and turnover rate, with millisecond-level latency ensuring data timeliness.
/stock/quotesRequest Parameters
regionenumRequiredMarket code, supports HK(Hong Kong)、SH(Shanghai)、SZ(Shenzhen)、US(US stocks)、SG(Singapore)、JP(Japan)、TW(Taiwan)、IN(India)、TH(Thailand)、DE(Germany)、MX(Mexico)、MY(Malaysia)、TR(Turkey)、ES(Spain)、NL(Netherlands)、GB(Great Britain)etc.
exchangestringExchange, Use exchange to differentiate stocks in the same market. Empty returns primary exchange only. See /symbol/list for exchange codes.
codesstringRequiredProduct code(s). Separate multiple products with commas. The maximum supported quantity varies by plan: Base: 10, Professional: 20, Premium: 50, Enterprise: custom
Response Parameters
codenumberResponse code
msgstringResponse description
dataobject▶Response result
sstringSymbol code
ldnumberLatest price
onumberOpening price
pnumberPrevious Closing Price
hnumberHighest price
lnumberLowest price
tnumberTimestamp of the latest trade
vnumberTrading volume
tunumberTurnover
tsnumberTrading Status 0: Normal Trading, 1: Trading Halt, 2: Delisted, 3: Circuit Breaker
chnumberChange
chpnumberChange %
Code Examples
import requests
url = "https://api.itick.org/stock/quotes?region=HK&codes=700,9988"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/stock/quotes?region=HK&codes=700,9988, Run query
Response Result
{
"code": 0,
"msg": null,
"data": {
"700": {
"s": "700",
"ld": 616,
"o": 608,
"p": 608,
"h": 616,
"l": 601.5,
"t": 1765526889000, // 2025-12-12 08:08:09 UTC
"v": 17825495,
"tu": 10871536434.36,
"ts": 0,
"ch": 8,
"chp": 1.32
},
"9988": {
"s": "9988",
"ld": 154.1,
"o": 152.7,
"p": 152.7,
"h": 154.1,
"l": 150.8,
"t": 1765526889000, // 2025-12-12 08:08:09 UTC
"v": 88532981,
"tu": 13539596437.06,
"ts": 0,
"ch": 1.4,
"chp": 0.92
}
}
}